	/***  4 Bit Full Adder  ***/

module adder_4bit(cout,sum,in1_num,in2_num,cin,clock);
input [3:0] in1_num,in2_num;
input cin,clock;
output [3:0] sum;
output cout;
wire c1,c2,c3;

	/*** INSTENTIATING 1 BIT FULL ADDER  ***/

adder_1bit a1(.carry(c1),.sum(sum[0]),.a(in1_num[0]),.b(in2_num[0]),.cin(cin));
adder_1bit a2(.carry(c2),.sum(sum[1]),.a(in1_num[1]),.b(in2_num[1]),.cin(c1));
adder_1bit a3(.carry(c3),.sum(sum[2]),.a(in1_num[2]),.b(in2_num[2]),.cin(c2));
adder_1bit a4(.carry(cout),.sum(sum[3]),.a(in1_num[3]),.b(in2_num[3]),.cin(c3));

endmodule

